stages:
  - build
  - test

include:
  - project: qonfucius/infrastructure/pipeline-fragments
    file:
      - /proxy/container-scanning.yml
      - /docker.yml
      - /convco.auto.yml

docker:kaniko:build:
  extends: .qonfucius:docker:kaniko:build
  parallel:
    matrix:
      - DOCKER_BUILD_ARG_RUST_VERSION: registry.gitlab.com/qonfucius/infrastructure/images/rust/common-dev-libraries:alpine
        CI_APPLICATION_TAG_LATEST: alpine
      - DOCKER_BUILD_ARG_RUST_VERSION: registry.gitlab.com/qonfucius/infrastructure/images/rust/common-dev-libraries:nightly-alpine
        CI_APPLICATION_TAG: $CI_COMMIT_SHA-nightly
        CI_APPLICATION_TAG_LATEST: nightly-alpine
  rules:
    - if: $CI_COMMIT_REF_NAME =~ /develop/
      variables:
        CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE

container_scanning:
  parallel:
    matrix:
      - CI_APPLICATION_TAG: $CI_COMMIT_SHA
      - CI_APPLICATION_TAG: $CI_COMMIT_SHA-nightly
  variables:
    DOCKERFILE_PATH: $CI_PROJECT_DIR/Dockerfile
    GIT_STRATEGY: fetch
  rules:
    - if: $CI_COMMIT_REF_NAME =~ /develop/
      variables:
        CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE
